# Time Slots Settings

Location configuration for order time slots

## GET /api/v1/locations/{locationId}/time-slots-settings

Get time-slots settings

Get the location's time-slots base settings (currently just `timeSlotInMinutes`).

**Permissions:** 🔵 `settings.read`

Path parameters:
- `locationId` (string, required) — Location ID

Response 200 — Default Response

```ts
{
  status: "success"
  data: {
    locationId: number
    timeSlotInMinutes: number
  }
  meta: {
    requestId: string
    timestamp: string // date-time
    executionTimeMs: number
  }
}
```

## PUT /api/v1/locations/{locationId}/time-slots-settings

Update time-slots settings

Update the location's time-slots base settings.

**Permissions:** 🟠 `settings.update`

Path parameters:
- `locationId` (string, required) — Location ID

Request body:

```ts
{
  timeSlotInMinutes: number
}
```

Response 200 — Default Response

```ts
{
  status: "success"
  data: {
    locationId: number
    timeSlotInMinutes: number
  }
  meta: {
    requestId: string
    timestamp: string // date-time
    executionTimeMs: number
  }
}
```
